com.opensymphony.xwork2.interceptor

## Class WithLazyParams.LazyParamInjector

- java.lang.Object
- - com.opensymphony.xwork2.interceptor.WithLazyParams.LazyParamInjector

- Enclosing interface:
    WithLazyParams

      public static class WithLazyParams.LazyParamInjector
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected OgnlUtil` | `ognlUtil`
    `protected ReflectionProvider` | `reflectionProvider`
    `protected TextParser` | `textParser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyParamInjector(ValueStack valueStack)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Interceptor` | `injectParams(Interceptor interceptor, Map<String,String> params, ActionContext invocationContext)`
    `Interceptor` | `injectParams(Interceptor interceptor, Map<String,String> params, ActionContext invocationContext)`
    `void` | `setOgnlUtil(OgnlUtil ognlUtil)`
    `void` | `setReflectionProvider(ReflectionProvider reflectionProvider)`
    `void` | `setTextParser(TextParser textParser)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ognlUtil

          protected OgnlUtil ognlUtil

    - #### textParser

          protected TextParser textParser

    - #### reflectionProvider

          protected ReflectionProvider reflectionProvider

  - ### Constructor Detail

    - #### LazyParamInjector

          public LazyParamInjector(ValueStack valueStack)

  - ### Method Detail

    - #### setTextParser

          public void setTextParser(TextParser textParser)

    - #### setReflectionProvider

          public void setReflectionProvider(ReflectionProvider reflectionProvider)

    - #### setOgnlUtil

          public void setOgnlUtil(OgnlUtil ognlUtil)

    - #### injectParams

          public Interceptor injectParams(Interceptor interceptor,
                                          Map<String,String> params,
                                          ActionContext invocationContext)

    - #### injectParams

          public Interceptor injectParams(Interceptor interceptor,
                                          Map<String,String> params,
                                          ActionContext invocationContext)

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.